summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-09-08 09:35:04 +0200
committerJim Meyering <jim@meyering.net>2007-09-15 08:40:38 +0200
commit7455bf9432c0ae3664803695ddcb27613d20ca8e (patch)
treeeaf01893f2708517cc3191bc2fbd5999dd69b1e5 /tests
parent74ffe86ed05cd6bab4b9d31d63cf94637f867c04 (diff)
downloadcoreutils-7455bf9432c0ae3664803695ddcb27613d20ca8e.tar.xz
Convert tests/ln/, too.
Diffstat (limited to 'tests')
-rw-r--r--tests/ln/Makefile.am2
-rwxr-xr-xtests/ln/backup-114
-rwxr-xr-xtests/ln/hard-backup22
-rwxr-xr-xtests/ln/misc76
-rwxr-xr-xtests/ln/sf-122
-rwxr-xr-xtests/ln/target-119
6 files changed, 49 insertions, 106 deletions
diff --git a/tests/ln/Makefile.am b/tests/ln/Makefile.am
index 7ae15a75b..4b5797f11 100644
--- a/tests/ln/Makefile.am
+++ b/tests/ln/Makefile.am
@@ -4,3 +4,5 @@ EXTRA_DIST = $(TESTS)
TESTS_ENVIRONMENT = \
CU_TEST_NAME=`basename $(abs_srcdir)`,$$tst \
PATH="$(VG_PATH_PREFIX)`pwd`/../../src$(PATH_SEPARATOR)$$PATH"
+
+include $(top_srcdir)/tests/check.mk
diff --git a/tests/ln/backup-1 b/tests/ln/backup-1
index 9a4b65d47..05041fe21 100755
--- a/tests/ln/backup-1
+++ b/tests/ln/backup-1
@@ -2,7 +2,7 @@
# Try to create a symlink with backup where the destination file exists
# and the backup file name is a hard link to the destination file.
-# Copyright (C) 1999 Free Software Foundation, Inc.
+# Copyright (C) 1999, 2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -24,17 +24,11 @@ if test "$VERBOSE" = yes; then
ln --version
fi
-trap "rm -rf a b b~" 0 1 2 3 15
+. $srcdir/../test-lib.sh
-framework_failure=0
-touch a b || framework_failure=1
-
-if test $framework_failure = 1; then
- echo 'failure in testing framework'
- exit 1
-fi
+touch a b || framework_failure
ln b b~ || fail=1
ln -f --b=simple a b || fail=1
-exit $fail
+(exit $fail); exit $fail
diff --git a/tests/ln/hard-backup b/tests/ln/hard-backup
index 387bdab3e..72178a6b2 100755
--- a/tests/ln/hard-backup
+++ b/tests/ln/hard-backup
@@ -1,7 +1,7 @@
#!/bin/sh
# Ensure that 'ln --backup F F' gives a proper diagnostic.
-# Copyright (C) 2006 Free Software Foundation, Inc.
+# Copyright (C) 2006-2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -21,23 +21,10 @@ if test "$VERBOSE" = yes; then
ln --version
fi
-. $srcdir/../envvar-check
. $srcdir/../lang-default
+. $srcdir/../test-lib.sh
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit $?' 1 2 13 15
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-touch f || framework_failure=1
-
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
+touch f || framework_failure
fail=0
@@ -46,7 +33,6 @@ cat <<\EOF > exp || fail=1
ln: `f' and `f' are the same file
EOF
-cmp out exp || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
+compare out exp || fail=1
(exit $fail); exit $fail
diff --git a/tests/ln/misc b/tests/ln/misc
index aa959b17c..be7efb036 100755
--- a/tests/ln/misc
+++ b/tests/ln/misc
@@ -1,7 +1,7 @@
#!/bin/sh
# Miscellaneous tests for "ln".
-# Copyright (C) 1998, 1999, 2000, 2004, 2006 Free Software Foundation, Inc.
+# Copyright (C) 1998-2000, 2004, 2006-2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -21,14 +21,7 @@ if test "$VERBOSE" = yes; then
ln --version
fi
-pwd=`pwd`
-tmp=t2-ln.$$
-trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
-trap '(exit $?); exit' 1 2 13 15
-
-framework_failure=0
-mkdir $tmp || framework_failure=1
-cd $tmp || framework_failure=1
+. $srcdir/../test-lib.sh
t=tln-symlink
d=tln-subdir
@@ -38,60 +31,60 @@ fail=0
# Create a simple symlink with both source and destination files
# in current directory.
-touch $f || framework_failure=1
-rm -f $t || framework_failure=1
+touch $f || framework_failure
+rm -f $t || framework_failure
ln -s $f $t || fail=1
test -f $t || fail=1
rm $t $f
# Create a symlink with source file and explicit destination directory/file.
-touch $f || framework_failure=1
-rm -rf $d || framework_failure=1
-mkdir $d || framework_failure=1
+touch $f || framework_failure
+rm -rf $d || framework_failure
+mkdir $d || framework_failure
ln -s ../$f $d/$t || fail=1
test -f $d/$t || fail=1
rm -rf $d $f
# Create a symlink with source file and destination directory.
-touch $f || framework_failure=1
-rm -rf $d || framework_failure=1
-mkdir $d || framework_failure=1
+touch $f || framework_failure
+rm -rf $d || framework_failure
+mkdir $d || framework_failure
ln -s ../$f $d || fail=1
test -f $d/$f || fail=1
rm -rf $d $f
# See whether a trailing slash is followed too far.
-touch $f || framework_failure=1
-rm -rf $d || framework_failure=1
-mkdir $d $d/$f || framework_failure=1
+touch $f || framework_failure
+rm -rf $d || framework_failure
+mkdir $d $d/$f || framework_failure
ln $f $d/ 2> /dev/null && fail=1
ln -s $f $d/ 2> /dev/null && fail=1
rm -rf $d $f
# Make sure we get a failure with existing dest without -f option
-touch $t || framework_failure=1
+touch $t || framework_failure
# FIXME: don't ignore the error message but rather test
# it to make sure it's the right one.
ln -s $t $t 2> /dev/null && fail=1
rm $t
# Make sure -sf fails when src and dest are the same
-touch $t || framework_failure=1
+touch $t || framework_failure
ln -sf $t $t 2> /dev/null && fail=1
rm $t
# Create a symlink with source file and no explicit directory
-rm -rf $d || framework_failure=1
-mkdir $d || framework_failure=1
-touch $d/$f || framework_failure=1
+rm -rf $d || framework_failure
+mkdir $d || framework_failure
+touch $d/$f || framework_failure
ln -s $d/$f || fail=1
test -f $f || fail=1
rm -rf $d $f
# Create a symlink with source file and destination symlink-to-directory.
-rm -rf $d $f $ld || framework_failure=1
-touch $f || framework_failure=1
-mkdir $d || framework_failure=1
+rm -rf $d $f $ld || framework_failure
+touch $f || framework_failure
+mkdir $d || framework_failure
ln -s $d $ld
ln -s ../$f $ld || fail=1
test -f $d/$f || fail=1
@@ -99,9 +92,9 @@ rm -rf $d $f $ld
# Create a symlink with source file and destination symlink-to-directory.
# BUT use the new --no-dereference option.
-rm -rf $d $f $ld || framework_failure=1
-touch $f || framework_failure=1
-mkdir $d || framework_failure=1
+rm -rf $d $f $ld || framework_failure
+touch $f || framework_failure
+mkdir $d || framework_failure
ln -s $d $ld
af=`pwd`/$f
ln --no-dereference -fs "$af" $ld || fail=1
@@ -110,20 +103,20 @@ rm -rf $d $f $ld
# Try to create a symlink with backup where the destination file exists
# and the backup file name is a hard link to the destination file.
-touch a b || framework_failure=1
-ln b b~ || framework_failure=1
+touch a b || framework_failure
+ln b b~ || framework_failure
ln -f --b=simple a b || fail=1
# ===================================================
# determine if link(2) follows symlinks on this system
-touch a || framework_failure=1
-ln -s a symlink || framework_failure=1
-ln symlink hard-to-sym > /dev/null 2>&1 || framework_failure=1
+touch a || framework_failure
+ln -s a symlink || framework_failure
+ln symlink hard-to-sym > /dev/null 2>&1 || framework_failure
ls=`ls -lG hard-to-sym`x
case "$ls" in
*'hard-to-symx') link_follows_symlink=yes ;;
*'hard-to-sym -> ax') link_follows_symlink=no ;;
- *) framework_failure=1 ;;
+ *) framework_failure ;;
esac
if test $link_follows_symlink = no; then
@@ -143,7 +136,7 @@ rm -rf a symlink hard-to-sym hard-to-dangle
# This was fixed in 4.0.34. Broken in 4.0r.
for cmd in ln cp mv ginstall; do
rm -rf a x a.orig
- touch a x || framework_failure=1
+ touch a x || framework_failure
$cmd --backup=simple --suffix=.orig x a || fail=1
test -f a.orig || fail=1
done
@@ -156,9 +149,4 @@ ln foo '' 2> /dev/null
# ===================================================
-if test $framework_failure = 1; then
- echo 'failure in testing framework' 1>&2
- exit 1
-fi
-
-exit $fail
+(exit $fail); exit $fail
diff --git a/tests/ln/sf-1 b/tests/ln/sf-1
index 8153b898e..1532b622e 100755
--- a/tests/ln/sf-1
+++ b/tests/ln/sf-1
@@ -1,7 +1,7 @@
#!/bin/sh
# Test "ln -sf".
-# Copyright (C) 1997, 1998, 1999, 2000 Free Software Foundation, Inc.
+# Copyright (C) 1997-2000, 2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -16,8 +16,6 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-test=sf-1
-
if test "$VERBOSE" = yes; then
set -x
ln --version
@@ -25,19 +23,10 @@ fi
# Make sure we get English translations.
. $srcdir/../lang-default
+. $srcdir/../test-lib.sh
-tmp=t-ln.$$
-
-test_failure=0
-mkdir $tmp || test_failure=1
-cd $tmp || test_failure=1
-echo foo > a || test_failure=1
-ln -s . b || test_failure=1
-
-if test $test_failure = 1; then
- echo 'failure in testing framework'
- exit 1
-fi
+echo foo > a || framework_failure
+ln -s . b || framework_failure
fail=0
ln -sf a b > err 2>&1 && fail=1
@@ -46,7 +35,4 @@ case `cat err` in
*) fail=1 ;;
esac
-cd ..
-rm -rf $tmp
-
exit $fail
diff --git a/tests/ln/target-1 b/tests/ln/target-1
index 7a49c65a3..e42094057 100755
--- a/tests/ln/target-1
+++ b/tests/ln/target-1
@@ -1,7 +1,7 @@
#!/bin/sh
# Test "ln --target-dir" with one file.
-# Copyright (C) 2002, 2006 Free Software Foundation, Inc.
+# Copyright (C) 2002, 2006-2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -26,23 +26,10 @@ if test "$VERBOSE" = yes; then
ln --version
fi
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit $?' 1 2 13 15
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-mkdir d || framework_failure=1
-
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
+. $srcdir/../test-lib.sh
+mkdir d || framework_failure
fail=0
-
ln -s --target-dir=d ../f || fail=1
(exit $fail); exit $fail